<?php

namespace Drupal\micronode_block;

/**
 * Allows "Micronode" to be treated like a token in widget labels, buttons, etc.
 *
 * This trait should only be used on classes extending Drupal\entity_browser\WidgetBase.
 */
trait MicronodeBlockEntityBrowserWidgetTrait {

  /**
   * See Drupal\entity_browser\WidgetBase::handleWidgetContext.
   *
   */
  protected function handleWidgetContext($widget_context) {
    foreach ($this->defaultConfiguration() as $key => $value) {
      // First, do the normal replacement like in Drupal\entity_browser\WidgetBase::handleWidgetContext.
      if (isset($widget_context[$key]) && isset($this->configuration[$key])) {
        $this->configuration[$key] = $widget_context[$key];
      }
      // Replace 'Micronode' or 'Microcontent' with the bundle label in any config strings.
      if (isset($widget_context['bundle_label']) && is_string($this->configuration[$key])) {
        $this->configuration[$key] = str_replace(['Micronode', 'Microcontent'], $widget_context['bundle_label'], $this->configuration[$key]);
      }
    }
    // The widget label is not in default configuration. Modify that here.
    if (isset($widget_context['bundle_label'])) {
      $this->setLabel(str_replace(['Micronode', 'Microcontent'], $widget_context['bundle_label'], $this->label()));
    }
  }

}
